> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Delete Channel > Delete a channel. Any of the permssions are required: * `delete-c`: Delete a public channel. * `delete-team-channel`: Delete a channel part of a team. You also need the `delete-c` permission. ### Changelog | Version | Description | | ------- | ------------------------- | | 0.71.0 | Removed `channel` property| | 0.49.0 | Added | ## OpenAPI ````json POST /api/v1/channels.delete { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.delete": { "post": { "tags": [ "Channels" ], "summary": "Delete Channel", "description": "Delete a channel. Any of the permssions are required:\n* `delete-c`: Delete a public channel.\n* `delete-team-channel`: Delete a channel part of a team. You also need the `delete-c` permission.\n\n### Changelog\n\n| Version | Description |\n| ------- | ------------------------- |\n| 0.71.0 | Removed `channel` property|\n| 0.49.0 | Added |", "operationId": "post-api-v1-channels.delete", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "example": "ByehQjC44FwMeiLbX", "description": "Enter the room ID. This parameter is required if no `roomName` is provided." }, "roomName": { "type": "string", "example": "general", "description": "Enter the room name. This parameter is required if no `roomId` is provided." } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````